Class
MatePairStoreElement
Represents a mate-pair.
MatePairStoreElement<>
MatePairStoreElement<TSpec>
Parameters

TSpec | The specialization type. Default: void

Remarks
A mate-pair consists of two reads sequenced from opposite ends and strands of the same fragment. The insert size of a mate-pair is the size of the fragment.
Value type of the matePairStore string.
Data Members

INVALID_ID | Constant to represent an invalid id.
libId | Refers to a library in the libraryStore or is INVALID_ID if the mate-pair has no library.
readId[2] | Refers to two paired reads in the readStore or contains INVALID_ID values.

Member Functions

MatePairStoreElement | Constructor

SeqAn - Sequence Analysis Library - www.seqan.de

Page built @2012/03/14 16:34:45